Bug 693519 - cannot use localized matching rules
cannot use localized matching rules
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
6.1
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
: screened
Depends On: 693451
Blocks: 639035 389_1.2.8
  Show dependency treegraph
 
Reported: 2011-04-04 17:10 EDT by Rich Megginson
Modified: 2015-01-04 18:47 EST (History)
5 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.8.0-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 693451
Environment:
Last Closed: 2011-05-19 08:43:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2011-04-04 17:10:44 EDT
+++ This bug was initially created as a clone of Bug #693451 +++

configuring an index entry to generate localized matching rules using the collation plugin does not work

cn=description,cn=index,cn=userRoot,....
nsMatchingRule: 2.16.840.1.113730.3.3.2.11.1
...

after adding this, and re-indexing/re-importing, the description.db4 index does not contain entries like
:2.16.840.1.113730.3.3.2.11.1:somevalue
...

--- Additional comment from rmeggins@redhat.com on 2011-04-04 17:10:12 EDT ---

Created attachment 489856 [details]
0002-Bug-693451-cannot-use-localized-matching-rules.patch
Comment 4 Amita Sharma 2011-04-26 08:16:29 EDT
Hi Rich,

I am testing this bug, followed below steps :

1. [root@rheltest amsharma]# ldapmodify -a -D "cn=directory manager" -w Secret123 -p 389 -h localhost << EOF
> dn: cn=description,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config
> nsMatchingRule: 2.16.840.1.113730.3.3.2.11.1
> nsIndexType: eq
> nsIndexType: pres
> nsIndexType: sub
> nsSystemIndex: false
> objectClass: top
> objectClass: nsIndex
> cn: description
> EOF
adding new entry "cn=description,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config"

2. [root@rheltest slapd-rheltest]# ./db2index.pl -D "cn=Directory Manager" -w Secret123 -n userRoot -t description
adding new entry "cn=db2index_2011_4_26_16_29_19, cn=index, cn=tasks, cn=config"

3. [root@rheltest userRoot]# db_dump  description.db4
VERSION=3
format=bytevalue
type=btree
duplicates=1
dupsort=1
db_pagesize=8192
.................
........
.............
...............

Result : I am not able to grep 2.16.840.1.113730.3.3.2.11.1 from description.db4.

Please guide here.

Thanks
Amita
Comment 5 Rich Megginson 2011-04-26 09:11:44 EDT
Use dbscan instead of db_dump
dbscan -f description.db4 | grep \^\:2.16.840.1.113730.3.3.2.11.1\:
Comment 6 Amita Sharma 2011-04-26 09:18:36 EDT
Thanks for the quick response Rich.

[root@rheltest userRoot]# dbscan -f description.db4 | grep \^\:2.16.840.1.113730.3.3.2.11.1\:
:2.16.840.1.113730.3.3.2.11.1:J4HJB4%06X:H%060,F%06D,F,84%06,00HTFR<F8%064FRN<4P%00
:2.16.840.1.113730.3.3.2.11.1:J4HJB4%06X:H%060,F%06D,F,84%064F8<F44N%064FRN<4P%00
:2.16.840.1.113730.3.3.2.11.1:J4HJB4%06X:H%060,F%06D,F,84%06:N%064FRN<4P%00
:2.16.840.1.113730.3.3.2.11.1:J4HJB4%06X:H%060,F%06D,F,84%06L,%064FRN<4P%00
:2.16.840.1.113730.3.3.2.11.1:PJ40<,B%06,2D<F<PRN,R<V4%06,00HTFRP%00


Marking the bug as VERIFIED.
Comment 7 errata-xmlrpc 2011-05-19 08:43:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0533.html

Note You need to log in before you can comment on or make changes to this bug.